# tr1_impl/functional_hash.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file tr1_impl/functional_hash.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::_Fnv_hash<>
    Dummy generic implementation (for sizeof(size_t) != 4, 8). More...
- struct std::_Fnv_hash< 4 >
- struct std::_Fnv_hash< 8 >
- struct std::hash< _Tp >
    Class template hash. More...
- struct std::hash< _Tp * >
    Partial specializations for pointer types. More...

## Defines

- #define _TR1_hashtable_define_trivial_hash(_Tp)

## Define Documentation

#define _TR1_hashtable_define_trivial_hash | ( | _Tp |  | ) |

Explicit specializations for integer types.

Definition at line 59 of file tr1_impl/functional_hash.h.